apiVersion: autoscaling.k8s.io/v1
kind: VerticalPodAutoscaler
metadata:
  name: pinot-controller-vpa
  namespace: freeleaps-data-platform
spec:
  resourcePolicy:
    containerPolicies:
    - containerName: '*'
      controlledResources:
      - cpu
      - memory
      maxAllowed:
        cpu: 500m
        memory: 1Gi
  targetRef:
    apiVersion: apps/v1
    kind: StatefulSet
    name: pinot-controller
  updatePolicy:
    updateMode: "Auto"
---
apiVersion: autoscaling.k8s.io/v1
kind: VerticalPodAutoscaler
metadata:
  name: pinot-broker-vpa
  namespace: freeleaps-data-platform
spec:
  resourcePolicy:
    containerPolicies:
    - containerName: '*'
      controlledResources:
      - cpu
      - memory
      maxAllowed:
        cpu: 500m
        memory: 1.5Gi
  targetRef:
    apiVersion: apps/v1
    kind: StatefulSet
    name: pinot-broker
  updatePolicy:
    updateMode: "Auto"
---
apiVersion: autoscaling.k8s.io/v1
kind: VerticalPodAutoscaler
metadata:
  name: pinot-server-vpa
  namespace: freeleaps-data-platform
spec:
  resourcePolicy:
    containerPolicies:
    - containerName: '*'
      controlledResources:
      - cpu
      - memory
      maxAllowed:
        cpu: 500m
        memory: 1Gi
  targetRef:
    apiVersion: apps/v1
    kind: StatefulSet
    name: pinot-server
  updatePolicy:
    updateMode: "Auto"
---
apiVersion: autoscaling.k8s.io/v1
kind: VerticalPodAutoscaler
metadata:
  name: pinot-minion-stateless-vpa
  namespace: freeleaps-data-platform
spec:
  resourcePolicy:
    containerPolicies:
    - containerName: '*'
      controlledResources:
      - cpu
      - memory
      maxAllowed:
        cpu: 500m
        memory: 1Gi
  targetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: pinot-minion-stateless
  updatePolicy:
    updateMode: "Auto"